<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-table-container">
            <el-table :element-loading-background="loadingColor" v-loading="loading" row-key="id" height="calc(100% - 20px)"
                align="center" :data="tableData" class="dialog_table" @expand-change="expandChange"
                :cell-style="{ 'text-align': 'center' }" :header-cell-style="{ 'text-align': 'center' }" highlight-current-row
                ref="myTable" @current-change="currentChange">
                <el-table-column type="index" label="序号" align="center">
                </el-table-column>
                <!-- <el-table-column type="expand" label="点击查看详情" width="140">
            <template slot-scope="props">
                <el-form label-position="top" class="dialog-table-expand">
                <el-row>
                    <el-form-item label="解决问题：">
                    <span>{{ props.row.solveProblem }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="取得成效：">
                    <span>{{ props.row.result }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="佐证材料：">
                    <el-row v-if="props.row.files">
                        <el-col
                        :span="8"
                        v-for="(file, index) in props.row.files"
                        :key="index"
                        >
                        <div class="file-style">
                            <div class="file-item">
                            <span
                                class="file-name"
                                :title="
                                file.name
                                    ? file.name
                                    : file.fileName + '.' + file.extensionName
                                "
                                >{{
                                file.name
                                    ? file.name
                                    : file.fileName + '.' + file.extensionName
                                }}</span
                            >
                            <span class="file-btn short">
                                <el-link
                                type="primary"
                                :underline="false"
                                @click="handlePreview(file)"
                                style="color: #fff"
                                >预览</el-link
                                >
                                <el-link
                                type="primary"
                                :underline="false"
                                style="color: #fff"
                                @click="handleDownloadFile(file)"
                                >下载</el-link
                                >
                            </span>
                            </div>
                        </div>
                        </el-col>
                    </el-row>
                    </el-form-item>
                </el-row>
                </el-form>
            </template>
        </el-table-column> -->
                <el-table-column prop="effectTopic" label="改革事项" align="left">
                </el-table-column>
                <el-table-column prop="effectForm" label="成效形式" width="120">
                    <template v-slot="{ row }">
                        {{ getDictName('cxxs', row.effectForm) }}
                    </template>
                </el-table-column>
                <el-table-column prop="specificDetails" label="具体情形" width="200">
                    <template v-slot="{ row }">
                        {{ getDictName('cxxs-jtqx', row.specificDetails) }}
                    </template>
                </el-table-column>
                <el-table-column prop="completionDate" label="成效日期" width="100"></el-table-column>
            </el-table>
            <!-- <pagenation
                :pageResult="params.pageBean"
                @currentChange="pageChange"
                class="pagenation"
            ></pagenation> -->
        </div>
        <div class="sub-page-detail">
            <div class="bg-de">
                <div class="de-con">
                    <div>
                        <img v-for="(item, index) in 2" :key="index" src="@/assets/img/bigScreen/img_wk_zs2@2x.png" />
                    </div>
                    <div class="title">{{ currentRow.effectTopic }}</div>
                    <div>
                        <img v-for="(item, index) in 2" :key="index" src="@/assets/img/bigScreen/img_wk_zs2@2x.png" />
                    </div>
                </div>
            </div>
            <el-form label-position="top" class="sub-page--expand" :element-loading-background="loadingColor"
                v-loading="loading">
                <el-row>
                    <el-form-item label="解决问题：">
                        <span>{{ currentRow.solveProblem }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="取得成效：">
                        <span>{{ currentRow.result }}</span>
                    </el-form-item>
                </el-row>
                <el-row>
                    <el-form-item label="佐证材料：">
                        <el-row>
                            <FileList :fileList="currentRow.files" :isDelete="false" :classified="currentRow.classified &&
                                (!currentRow.files ||
                                    !currentRow.files.length)
                                "></FileList>
                        </el-row>
                    </el-form-item>
                </el-row>
            </el-form>
        </div>
    </div>
</template>

<script>
import FileList from '@/components/uploadFile/FileList.vue'
import req from '@/request.js'
import utils from '@/utils.js'
const portal = window.context.portal
import filePreview from '@/components/FilePreview/filePreview.vue'
import apiList from '@/api/bigScreen/districView.js'
import pagenation from './pagenation.vue'
export default {
    name: 'indexRank',
    components: {
        filePreview,
        FileList,
        pagenation,
    },
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            previewUrl: `${portal}/file/onlinePreviewController/v1/getFileById_`,
            params: {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'BIZ_ID_',
                        relation: 'AND',
                        value: '',
                    },
                ],
            },
            infoData: {},
            currentRow: {},
        }
    },
    mounted() {
        this.querysParams = this.$route.query
        let { code } = this.querysParams
        let { year, quarter } = JSON.parse(sessionStorage.getItem('searchDate'))
        this.loadData(code, year, quarter)
    },
    methods: {
        currentChange(currentRow, oldCurrentRow) {
            console.log(currentRow)
            this.currentRow = currentRow
            this.getFiles(currentRow)
        },
        expandChange(row, expandedRows) {
            if (row.files) return
            this.getFiles(row)
        },
        getFiles(row) {
            this.params.querys[0].value = row.id
            apiList.getFiles(this.params, (data) => {
                // this.currentRow.files = data.rows
                this.$set(this.currentRow, 'files', data.rows)
            })
        },
        handlePreview(file) {
            let id = file.fileId
                ? file.fileId
                : file.id
                    ? file.id
                    : file.response.fileId
            let type = file.fileType || (file.extensionName
                ? file.extensionName
                : file.name.split('.')[1])
            this.$refs.filePreview.previewUrl = this.previewUrl + id
            this.$refs.filePreview.open(type)
        },
        // 文件下载
        handleDownloadFile(file) {
            console.log(file)
            let id = file.fileId
                ? file.fileId
                : file.id
                    ? file.id
                    : file.response.fileId
            window.open(portal + `/file/v1/downloadFile?fileId=${id}`, '_self')
        },
        getDictName(code, value) {
            return utils.getDictName(code, value)
        },
        // 改革品牌榜
        loadData(unitCode, year, quarter) {
            this.loading = true
            const api = `/county/largeScreen/v1/brandBuild_sec?unitCode=${unitCode}&year=${year}&quarter=${quarter}`
            req.post(portal + api)
                .then((res) => {
                    this.params.pageBean.page = res.page
                    this.params.pageBean.pageSize = res.pageSize
                    this.params.pageBean.total = res.total
                    const data = (res && res.data) || {}
                    this.tableData = data.details || []
                    this.loading = false
                    if (this.tableData.length) {
                        this.currentRow = this.tableData[0]
                        this.$nextTick(() => {
                            this.$refs.myTable.setCurrentRow(
                                this.$refs.myTable.data[0]
                            )
                            this.getFiles(this.currentRow)
                        })
                    } else {
                        this.currentRow = {}
                        this.infoData = {}
                    }
                })
                .catch(() => {
                    this.loading = false
                })
        },
        pageChange() {
            let { code } = this.querysParams
            let { year, quarter } = JSON.parse(
                sessionStorage.getItem('searchDate')
            )
            this.loadData(code, year, quarter)
        },
    },
}
</script>
<style lang="scss" scoped>
.column-item-rotate {
    display: inline-block;
    transform: rotateX(180deg);
}

.cqlt-icon-arrow {
    font-size: 18px;
}

.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1px 0 12px;
}

.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1px 0 12px;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
